mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Class | System.AttributeTargets.Struct | System.AttributeTargets.Enum | System.AttributeTargets.Interface | System.AttributeTargets.All, Inherited=false) System.Runtime.InteropServices.ComVisible(true)

The [<topic://cpgrftypelibraryImportertlbimpexe>] applies this attribute to classes or interfaces.

This attribute is applied when a type library is imported and should never be changed. It is only applied when the method's evaluate to non-zero. The attribute is designed to be used by tools that need to know how the original were set. The common language runtime does not use this attribute.

Contains the that were originally imported for this type from the COM type library.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the TypeLibTypeAttribute class with the specified value.

  The value for the attributed type as found in the type library it was imported from.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the TypeLibTypeAttribute class with the specified value.

  The value for the attributed type as found in the type library it was imported from.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibTypeFlags To be added: an object of type 'TypeLibTypeFlags' To be added

  Gets the value for this type.